=== debian/changelog ===
gnuplot (5.4.1+dfsg1-1+deb11u1) bullseye; urgency=medium

  * Fix divide by zero vulnerability. CVE-2021-44917.  (Closes: #1002539)

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Dec 2021 19:15:06 +0100

gnuplot (5.4.1+dfsg1-1) unstable; urgency=medium

  * [945257b] New upstream version 5.4.1+dfsg1
  * [0493a77] Update watch file format version to 4.
  * [3f7c63f] Ignore quilt dir
  * [ca3d15d] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Thu, 03 Dec 2020 22:27:21 +0100

gnuplot (5.4.0+dfsg1-1) unstable; urgency=medium

  * [f271431] Add debian/.gitlab-ci.yml
  * [9ca5c2a] New upstream version 5.4.0+dfsg1
  * [3337ff1] Refresh patches
  * [0b0a411] Add texlive-science as BD
  * [c633c1a] Remove installing of tutorial
  * [6b6e08d] Add  Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Sep 2020 20:00:27 +0200
