=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// https://sf.net/gnuplot gnuplot-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
