## gnuplot 5.4.2%2Bdfsg2

=== config/mingw/Makefile ===
--- 
+++ 
@@ -164,7 +164,7 @@
 GRXPATH=c:/Source/grx249
 # or, the MGRX fork of GRX
 #MGRX=1
-MGRXPATH=c:/Source/mgrx110
+MGRXPATH=c:/Source/mgrx
 
 
 # Below you can adapt paths according to your software setup:
@@ -302,6 +302,7 @@
 
 ifdef UNICODE
   CFLAGS += -DUNICODE -D_UNICODE
+  LDFLAGS2 += -municode
 endif
 
 CFLAGS += $(CWFLAGS)
